Package twisted :: Package im :: Module basesupport :: Class AbstractGroup

[frames | no frames]

## Class AbstractGroup

Known Subclasses:
  `IRCGroup`, `TOCGroup`, `TwistedWordsGroup`

Method Summary
| `__init__(self, name, account)`
| `__repr__(self)`
| `__str__(self)`
| ``getGroupCommands`(self)` finds group commands
| ``getTargetCommands`(self, target)` finds group commands
| `join(self)`
| `leave(self)`

Method Details

### getGroupCommands(self)

finds group commands

these commands are methods on me that start with imgroup_; they are called with no arguments

### getTargetCommands(self, target)

finds group commands

these commands are methods on me that start with imgroup_; they are called with a user present within this room as an argument

you may want to override this in your group in order to filter for appropriate commands on the given user

Generated by Epydoc 2.0 on Sat May 15 20:07:57 2004 | http://epydoc.sf.net